This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 117296 - up2date won't update 2.4 kernel if 2.6 kernel is installed
up2date won't update 2.4 kernel if 2.6 kernel is installed
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-02 12:30 EST by Jason
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-04 14:57:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jason 2004-03-02 12:30:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040113

Description of problem:
FC1 ships with the 2.4 kernel.  I have downloaded and installed the
2.6 RPMs for testing purposes.  However when I run up2date under a 2.4
kernel up2date will not download or even see the newer 2.4 kernels.  I
think up2date to should be able to update the 2.4 kernels even if a
newer version (2.6) is installed.  

With FC2 shipping with 2.6 kernel this will be a small problem, but
when the 2.7 and 2.8 kernels are available for testing, up2date should
be able 2.6 kernels.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  install FC1
2.  install 2.6 kernel
3.  run up2date -l
4.  no 2.4 kernels are listed
    

Actual Results:  the updated 2.4 kernels don't download

Expected Results:  the updated 2.4 kernels should be downloaded and
isntalled

Additional info:
Comment 1 Adrian Likins 2004-03-04 14:57:31 EST
well, a version of the kernel newer or later than 
the one available is installed, so up2date is
behaving correctly. 

Proper fix would be rename the test 2.6 kernels
to kernel2.6 if they want to be installed in
parallel with parallel upgrade paths.

Note You need to log in before you can comment on or make changes to this bug.